{% extends "base.html" %}

{% load static %}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/user_stats.css' %}" id='theme'>
{% endblock %}
{% block title %}
Stats
{% endblock %}
{% block content %}
<div class="stats-outer">
    <div style="margin: 20px">
        <h3>Statistic</h3>
        <div class="stats">
            <img src="{{image}}" class="profile"/>
            <h1><a href="{% url 'user-profile:index' %}">{{ author }}</a></h1>
            <div>
                <div class="statistic-left">
                    <h3>Friends : {{ friends }} people</h3>
                </div>
                <div class="statistic-right">
                    <h3>Feeds : {{ feeds }} post</h3>
                </div>
            </div>
        </div>
		<div>
			<div class="latest-post">
				<div class="col">
					<h3> Latest Post: </h3>
					<div class="status">
						<div class="status-header">
							<img class="status-header-img" src="{{image}}">
							<div class="status-header-section">
								<h5 class="status-header-name"><a href="/user-profile/">{{ author }}</a></h5>
								<h6 class="status-header-timestamp">{{ latest_post_date|date:"j F Y \a\t H:i" }}</h6>
							</div>
						</div>
						<div class="status-content">
						{{ latest_post }}
						</div>
					</div>
				</div>
			</div>
		</div>
    </div>
    <div class="theme-section">
        <h3>Change Theme</h3>
        <button id='theme-light-button' class="button-theme">The Darknight Rises</button>
        <button id='theme-dark-button' class="button-theme">Basic Theme</button>
    </div>
</div>

<script>
        document.getElementById('theme-light-button').onclick = function () { 
            document.getElementById('theme').href ="{% static 'css/user_stats.css' %}";
            localStorage.setItem('theme-selector','light')
        };
        document.getElementById('theme-dark-button').onclick = function () { 
            document.getElementById('theme').href ="{% static 'css/darknight.css' %}";
            localStorage.setItem('theme-selector','dark')
        };
</script>

<script type="application/javascript">
        $(function() {
            $('a[href*="#"]:not([href="#"])').click(function() {
                if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
                var target = $(this.hash);
                target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
                if (target.length) {
                    $('html, body').animate({
                    scrollTop: target.offset().top - 55
                    }, 1000);
                    return false;
                }
                }
            });
            });
        if(localStorage.getItem('theme-selector')==null){
            localStorage.setItem('theme-selector','light')
        }else{
            if(localStorage.getItem('theme-selector')=='dark'){
                document.getElementById('theme').href ="{% static 'css/darknight.css' %}";
            }else{
                document.getElementById('theme').href ="{% static 'css/user_stats.css' %}";
            }
        }
        </script>
{% endblock %}